<?php
/*
 * Developer : John D'Alto (jdalto@yahoo.com)
 * Date : 9/1/2012
 * All code (c)2012 JLS Consulting, all rights reserved
 */

namespace Dorcas\TabithaBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity(repositoryClass="Dorcas\TabithaBundle\Repository\TabithaRepository")
 * @ORM\HasLifecycleCallbacks()
 * @ORM\Table(name="history")
 */

class History
{
    /**
     * @ORM\Id
     * @ORM\Column(type="integer")
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    protected $history_id;
    
    /**
     * @ORM\Column(type="integer")
     */
    protected $clientid;
    
    /**
     * @ORM\OneToOne(targetEntity="Client", inversedBy="history")
     * @ORM\JoinColumn(name="clientid", referencedColumnName="client_id")
     */
    protected $client;
    
    /**
     * @ORM\Column(type="text", nullable=true)
     */
    protected $last_results;
    
    /**
     * @ORM\Column(type="text", nullable=true)
     */
    protected $checks_issued;
	
    /**
     * @ORM\Column(type="text", nullable=true)
     */
    protected $checks_history;
    
    /**
     * @ORM\Column(type="text", nullable=true)
     */
    protected $fooddates_history;
    
    /**
     * @ORM\Column(type="text", nullable=true)
     */
    protected $total_assist;
    	
    /**
     * @ORM\Column(name="is_active", type="boolean")
     */
    private $isActive;

  

    /**
     * Get history_id
     *
     * @return integer 
     */
    public function getHistoryId()
    {
        return $this->history_id;
    }


    /**
     * Set last_results
     *
     * @param text $lastResults
     */
    public function setLastResults($lastResults)
    {
        $this->last_results = $lastResults;
    }

    /**
     * Get last_results
     *
     * @return text 
     */
    public function getLastResults()
    {
        return $this->last_results;
    }

    /**
     * Set checks_issued
     *
     * @param text $checksIssued
     */
    public function setChecksIssued($checksIssued)
    {
        $this->checks_issued = $checksIssued;
    }

    /**
     * Get checks_issued
     *
     * @return text 
     */
    public function getChecksIssued()
    {
        return $this->checks_issued;
    }

    /**
     * Set checks_history
     *
     * @param text $checksHistory
     */
    public function setChecksHistory($checksHistory)
    {
        $this->checks_history = $checksHistory;
    }

    /**
     * Get checks_history
     *
     * @return text 
     */
    public function getChecksHistory()
    {
        return $this->checks_history;
    }

    /**
     * Set client
     *
     * @param Dorcas\TabithaBundle\Entity\Client $client
     */
    public function setClient(\Dorcas\TabithaBundle\Entity\Client $client)
    {
        $this->client = $client;
    }

    /**
     * Get client
     *
     * @return Dorcas\TabithaBundle\Entity\Client 
     */
    public function getClient()
    {
        return $this->client;
    }

    /**
     * Set clientid
     *
     * @param integer $clientid
     */
    public function setClientid($clientid)
    {
        $this->clientid = $clientid;
    }

    /**
     * Get clientid
     *
     * @return integer 
     */
    public function getClientid()
    {
        return $this->clientid;
    }

    /**
     * Set isActive
     *
     * @param boolean $isActive
     */
    public function setIsActive($isActive)
    {
        $this->isActive = $isActive;
    }

    /**
     * Get isActive
     *
     * @return boolean 
     */
    public function getIsActive()
    {
        return $this->isActive;
    }

    /**
     * Set total_assist
     *
     * @param text $totalAssist
     */
    public function setTotalAssist($totalAssist)
    {
        $this->total_assist = $totalAssist;
    }

    /**
     * Get total_assist
     *
     * @return text 
     */
    public function getTotalAssist()
    {
        return $this->total_assist;
    }
}